@media screen and (max-width: 768px) {
    body {
        background: url("../img/background-responsive.png");
    }
    
    header img {
        margin-left: 30px;
        height: 150px;
    }

    main {
        overflow: hidden;
    }

    #dropdown {
        width: 100px;
        margin-left: 40px;
        z-index: 9999;
    }

    #dropdown ul li a {
        color:  #401d61;   
    }

    header i {
        margin-right: 20px;
        font-size: 70px;
        color: #c0a0b2;
        padding: 40px;
        visibility: visible;
        float: right;
    }

    .intro {
        margin-left: 0px;
    }
    
    .intro p {
        margin-top: 65px;
        margin-left: 10px;
        text-align: justify;
    }

    .two {
        display: inline;
        margin-top: 50px;
    }
    
    .skill .box, .hobby .box {
        margin: 30px 10px;
    }
    
    .skill, .hobby {
        margin-top: 40px;
        margin-left: 130px;
        width: 63%;
        height: 400px;
        background-color: rgba(219, 202, 234, 0.045);
        box-shadow: 0 15px 30px rgba(0, 0, 0, 0.1);
        border-radius: 20px;
        backdrop-filter: blur(20px);
        border:1px solid rgba(255, 255, 255, 0.1);
        border-top:1px solid rgba(255, 255, 255, 0.1);
        border-left:1px solid rgba(255, 255, 255, 0.1);
    }
    
    .skill img, .hobby img {
        margin: 10px 30px;
        width: 320px;
    }
    
    .flower img {
        display: none;
    }

    footer a[href="#hello"] {
        margin-top: 40px;
        left: -350px;
        bottom: 120px;
    }
}


@media screen and (max-width: 468px) {

    body {
        background: url("../img/background-aboutt.png");
        background-size: cover;
        background-position: center;
    }

    header img {
        margin-left: 15px;
        height: 145px;
    }

    main {
        overflow: hidden;
    }

    header i {
        font-size: 70px;
        color: #c0a0b2;
        padding: 40px;
        visibility: visible;
        float: right;
    }

    #dropdown {
    width: 100px;
    margin-left: -13px; 
    }

    .skill, .hobby {
    margin-top: 40px;
    margin-left: 35px;
    margin-bottom: 20px;
    width: 80%;
    height: 290px;
    }

    .skill .box, .hobby .box {
    margin: 18px 10px;
    width: 240px;
    }

    .box {
    margin: 10px 5px;
    width: 250px;
    }

    .two h1 {
    font-size: 22px;
    }

    .skill img, .hobby img {
    margin: 13px 25px;
    width: 210px;
    }

    footer a[href="#hello"] {
        margin-top: 80px;
        left: -550px;
        bottom: 120px;
    }

    .intro p{
        text-align: justify;
        font-size: 18px;
        margin-left: 5px;
    }
    .two {
        margin-left: 30px;
    }

    .education {
    margin-left: 5px;
    }

    footer ul {
        margin-left: 85px;
    }

    footer p {
        font-size: 9px;
    }

    #dropdown {
        width: 100%;
        margin-left: -15px;
        position: absolute;
        z-index: 9999;
    }

    #dropdown ul li a {
        width: 300px;
        color: #401d61;
        font-weight: 400;
    }
}


@media screen and (max-width: 410px) {
    #dropdown {
    width: 100px;
    margin-left: -10px; 
    }

    .skill, .hobby {
    margin-top: 40px;
    margin-left: 30px;
    width: 83%;
    height: 310px;
    }

    .skill .box, .hobby .box {
    margin: 20px 15px;
    }

    .box {
    margin: 10px 30px;
    width: 200px;
    }

    .two h1 {
    font-size: 22px;
    }

    .skill img, .hobby img {
    margin: 10px 30px;
    width: 210px;
    }
    .intro p{
        text-align: justify;
        font-size: 18px;
    }

    footer a[href="#hello"] {
        margin-top: 100px;
        left: -550px;
        bottom: 120px;
    }

    .two {
        margin-left: 30px;
    }

    footer ul {
        margin-left: 85px;
    }

    footer ul li a {
        font-size: 15px;
    }

    footer p {
        font-size: 9px;
